import { defineStore } from "pinia";

export const useStore = defineStore("user", {
  persist: {
    storage: localStorage,
    paths: ["user"],
  },
  state: () => ({ userInfo: null }),
  actions: {
    setState(data) {
      this.$patch(data);
    },
    setUserInfo(data) {
      this.userInfo = data;
    },
  },
});
